//
//  It is file 'gcc_upd.hpp'
//
//  Copyright (C) 1992, 1993 Serge Pachkovsky, ps@che.nsk.su
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 1, or (at your option)
//  any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
long	    tell( int ) ;
char	   *itoa( int, char *, int ) ;
int	    mkdir( char * ) ;
long	    filelength( int ) ;

extern "C" {
char *	    strerror( int errno ) ; // Why it was not declared in string.h ?!
}

#ifndef ENOFILE
#define ENOFILE     ENOENT
#endif

#ifndef CHAR_MAX
#define CHAR_MAX    127
#endif

#ifndef O_BINARY
#define O_BINARY    0
#endif

class setw {
    public:
		setw( int x ){ width = x ; }
	int	width ;
    } ;

inline ostream &
::operator <<( ostream & out, setw pos )
{
out.width( pos.width ) ;
return out ;
}

#if ! ( defined( __UTIME_H__ ) || defined( _H_UTIME ) )
struct utimbuf {
    time_t	actime ;
    time_t	modtime ;
    } ;

int utime( const char *, struct utimbuf * ) ;
#endif
