//
//  It is file 'tot_dcl.hpp'
//
//  Copyright (C) 1992, 1993 Serge Pachkovsky, ps@che.nsk.su
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 1, or (at your option)
//  any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//

class Totals {
    ScoreBoard	    scoreboard ;
    //
    //	counts[0] contains encoding scale, counts[1] contains
    //	low count for escape symbol,
    //
    UINT16	    counts[ CharsCount + 2 ] ;
    int 	    entries ;
    public:
    void	    Fill( class Context *, Boolean = False, int = CharsCount ) ;
    UINT16	    GetScale( void ) const ;
    UINT16	    LowCount( int ) const ;
    UINT16	    HighCount( int ) const ;
    int 	    SearchCount( UINT16 count ) const ;
    void	    ClearScores( void ) ;
    } ;

